<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>


        <variable
            name="click"
            type="com.hongyegroup.cpt_business.ui.fragment.BusinessAppointmentFragment.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg"
        android:orientation="vertical">

        <!--   Title Bar     -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="vertical">

            <View
                android:id="@+id/status_padding_view"
                android:layout_width="1dp"
                android:layout_height="0dp" />

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="46dp">

                <com.guadou.lib_baselib.font_text_view.TextViewSBold
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="Test Appointment"
                    android:textColor="@color/input_black_text_5D"
                    android:textSize="@dimen/d_18sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewSBold
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical|right"
                    android:layout_marginRight="@dimen/d_15dp"
                    android:text="Book"
                    android:textColor="@color/input_blue_text"
                    android:textSize="@dimen/d_14sp"
                    binding:clicks="@{click.gotoMakeAppointmentPage}" />

            </FrameLayout>

        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refresh_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/d_10dp">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="none" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    </LinearLayout>

</layout>

